<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".activity.GoutCollectionActivity">

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/main_toolbar"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:background="@color/colorPrimary"
        android:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar">


        <LinearLayout
            android:id="@+id/tool_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center">

            <ImageView
                android:layout_width="15dp"
                android:layout_height="15dp"
                android:src="@mipmap/left_icon"
                app:tint="@color/white" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical|left"
                android:text="返回"
                android:textColor="@color/white"
                android:textSize="18sp" />
        </LinearLayout>


        <TextView
            android:id="@+id/title_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text=""
            android:textColor="@color/white"
            android:textSize="18sp" />


    </androidx.appcompat.widget.Toolbar>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <!--        列表页-->
        <LinearLayout
            android:id="@+id/searchListFragment"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/list_bg"
            android:orientation="vertical"
            android:visibility="visible">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginTop="10dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="3"
                        android:background="@drawable/bg_search_row"
                        android:orientation="horizontal">

                        <TextView
                            android:id="@+id/fdate"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:hint="请输入航班日期"
                            android:singleLine="true"
                            android:textSize="15sp" />

                        <ImageView
                            android:id="@+id/beginDateIcon"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:src="@mipmap/calendar_icon"
                            app:tint="@color/weak_grey" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="20dp"
                        android:layout_height="match_parent" />

                    <!--            航班号-->
                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="3"
                        android:background="@drawable/bg_search_row">

                        <EditText
                            android:id="@+id/fno"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:background="@drawable/input_edit_text"
                            android:gravity="center"
                            android:hint="请输入航班号"
                            android:imeOptions="actionDone"
                            android:inputType="text"
                            android:singleLine="true"
                            android:textSize="15dp" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="20dp"
                        android:layout_height="match_parent" />

                    <!--                代理-->
                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="3"
                        android:background="@drawable/bg_search_row">


                        <Spinner
                            android:id="@+id/agentCode"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@drawable/bg_spinner_pda">

                        </Spinner>

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="20dp"
                        android:layout_height="match_parent" />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="3"
                        android:background="@drawable/bg_search_row">

                        <Spinner
                            android:id="@+id/spCode"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@drawable/bg_spinner_pda" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="20dp"
                        android:layout_height="match_parent" />

                    <!--            运单号-->
                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="3"
                        android:background="@drawable/bg_search_row">

                        <EditText
                            android:id="@+id/search_content"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1"
                            android:background="@drawable/input_edit_text"
                            android:gravity="center"
                            android:hint="请输入运单号"
                            android:imeOptions="actionDone"
                            android:inputType="text"
                            android:singleLine="true"
                            android:textSize="15dp" />

                        <ImageView
                            android:id="@+id/scanCodeImg"
                            android:layout_width="20dp"
                            android:layout_height="20dp"
                            android:layout_gravity="center"
                            android:layout_marginLeft="10dp"
                            android:layout_marginRight="10dp"
                            android:src="@mipmap/scan_code" />
                    </LinearLayout>

                    <!--            搜索图标-->
                    <LinearLayout
                        android:id="@+id/search"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:layout_marginLeft="20dp"
                        android:background="@drawable/search_shape_gnc_ware_house2"
                        android:padding="10dp">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:src="@drawable/img_search" />

                    </LinearLayout>

                    <!--            筛选图标-->
                    <LinearLayout
                        android:id="@+id/filtrateLayout"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:layout_marginLeft="20dp"
                        android:background="@drawable/search_shape_gnc_ware_house2"
                        android:padding="10dp">

                        <ImageView
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:src="@drawable/img_filter"
                            app:tint="@color/colorPrimary" />

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/add"
                        android:layout_width="40dp"
                        android:layout_height="40dp"
                        android:layout_marginLeft="20dp"
                        android:background="@drawable/search_shape_gnc_ware_house2"
                        android:padding="10dp">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:src="@drawable/img_add"
                            app:tint="@color/colorPrimary" />
                    </LinearLayout>

                </LinearLayout>
                <!-- <LinearLayout
                     android:layout_width="match_parent"
                     android:layout_height="40dp"
                     android:layout_marginTop="10dp"
                     android:background="@drawable/search_shape"
                     android:orientation="horizontal">

                     <ImageView
                         android:layout_width="20dp"
                         android:layout_height="20dp"
                         android:layout_gravity="center"
                         android:layout_marginLeft="30dp"
                         android:hint="@color/white"
                         android:src="@mipmap/search" />

                     <EditText
                         android:id="@+id/search_content"
                         android:layout_width="wrap_content"
                         android:layout_height="wrap_content"
                         android:layout_gravity="center_vertical"
                         android:layout_marginLeft="2dp"
                         android:layout_weight="1"
                         android:background="@android:color/transparent"
                         android:hint="请输入运单号、运单后4位或代理"
                         android:imeOptions="actionDone"
                         android:inputType="text"
                         android:maxLines="1"
                         android:singleLine="true"
                         android:textSize="16dp" />

                     <ImageView
                         android:id="@+id/scanCodeImg"
                         android:layout_width="20dp"
                         android:layout_height="20dp"
                         android:layout_gravity="center"
                         android:layout_marginLeft="30dp"
                         android:src="@mipmap/scan_code" />

                     <TextView
                         android:id="@+id/search"
                         android:layout_width="wrap_content"
                         android:layout_height="match_parent"
                         android:layout_marginLeft="20dp"
                         android:layout_marginRight="20dp"
                         android:gravity="center_vertical"
                         android:text="搜索"
                         android:textColor="@color/colorPrimary"
                         />
                 </LinearLayout>-->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:layout_weight="1">

                    <com.scwang.smart.refresh.layout.SmartRefreshLayout
                        android:id="@+id/refreshLayout"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">

                        <com.scwang.smart.refresh.header.ClassicsHeader
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/guo_nei_collect_list"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:overScrollMode="never"
                            tools:listitem="@layout/check_in_item" />

                        <com.scwang.smart.refresh.footer.ClassicsFooter
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content" />
                    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:background="#5c6890"
                android:gravity="center_vertical"
                android:paddingHorizontal="15dp">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="合计：3票"
                    android:textColor="@color/white"
                    android:textSize="18sp"
                    android:textStyle="bold" />

                <LinearLayout
                    android:id="@+id/shouyun"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:layout_marginLeft="20dp"
                    android:background="@drawable/search_shape_gnc_ware_house2"
                    android:padding="10dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="19dp"
                        android:src="@drawable/img_gnc_shouyun_menu"
                        app:tint="@color/colorPrimary" />
                </LinearLayout>

            </LinearLayout>
        </LinearLayout>

        <!--        筛选 页-->
        <LinearLayout
            android:id="@+id/filtrateFragment"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/list_bg"
            android:orientation="vertical"
            android:padding="5dp"
            android:visibility="gone">

            <!--            筛选内容-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_margin="5dp"
                android:layout_weight="1"
                android:background="@drawable/home_shape"
                android:orientation="vertical"
                android:padding="5dp">

                <ScrollView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="vertical">

                        <!--                目的港-->
                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="40dp"
                            android:layout_marginTop="10dp">

                            <TextView
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_marginRight="5dp"
                                android:layout_weight="1"
                                android:gravity="center_vertical|right"
                                android:text="目的港" />

                            <!--内容-->
                            <LinearLayout
                                android:layout_width="0dp"
                                android:layout_height="match_parent"
                                android:layout_marginLeft="10dp"
                                android:layout_weight="2"
                                android:background="@drawable/input_shape"
                                android:gravity="center"
                                android:orientation="horizontal">

                                <EditText
                                    android:id="@+id/dest"
                                    android:layout_width="0dp"
                                    android:layout_height="match_parent"
                                    android:layout_marginLeft="2dp"
                                    android:layout_weight="1"
                                    android:background="@drawable/input_edit_text"
                                    android:hint="请输入目的港"
                                    android:imeOptions="actionDone"
                                    android:inputType="text"
                                    android:maxLines="1"
                                    android:paddingHorizontal="10dp"
                                    android:singleLine="true"
                                    android:text=""
                                    android:textSize="14sp" />
                            </LinearLayout>

                        </LinearLayout>

                    </LinearLayout>
                </ScrollView>

            </LinearLayout>

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginVertical="10dp"
                android:gravity="center_horizontal">

                <TextView
                    android:id="@+id/reset"
                    style="@style/tv_bottom_btn_lg"
                    android:text="重置" />

                <View
                    android:layout_width="40dp"
                    android:layout_height="0dp" />

                <TextView
                    android:id="@+id/submit"
                    style="@style/tv_bottom_btn_lg"
                    android:text="搜索" />
            </LinearLayout>

        </LinearLayout>
    </LinearLayout>


</LinearLayout>